Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
パス パラメーター
name
string
必須
The name of the memory store.
memory_id
string
必須
The ID of the memory item to update.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
要求本文
content
string
必須
The updated content of the memory.
応答
The request has succeeded.
本文
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
必須
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
必須
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
必須
The kind of the memory item.
要求
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json